| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
Digikam::SavingContext Class Reference

## Public Types
enum | SavingState { SavingStateNone , SavingStateSave , SavingStateSaveAs , SavingStateVersion }
enum | SynchronizingState { NormalSaving , SynchronousSaving }

## Public Attributes
bool | abortingSaving = false
bool | destinationExisted = false
QUrl | destinationURL
SavingState | executedOperation = SavingStateNone
QString | format
QUrl | moveSrcURL
QString | originalFormat
SafeTemporaryFile * | saveTempFile = nullptr
QString | saveTempFileName
SavingState | savingState = SavingStateNone
QUrl | srcURL
SynchronizingState | synchronizingState = NormalSaving
bool | synchronousSavingResult = false
VersionFileOperation | versionFileOperation